Bug 646876 - Non-ascii characters are not allowed in user password
Non-ascii characters are not allowed in user password
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 10:34 EDT by Kamil Páral
Modified: 2011-04-19 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-users-1.2.107-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-02 14:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
s-c-u disallowing non-ascii passwords (360.73 KB, image/png)
2010-10-26 10:43 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-10-26 10:34:52 EDT
Description of problem:
system-config-users does not allow to create user with non-ascii password. On the other hand standard 'passwd' tool allows that. Is there any reason to prohibit non-ascii password?

Version-Release number of selected component (if applicable):
system-config-users-1.2.105-1.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. try to create a new user with non-ascii characters in his password (like ěščřžýá)
  
Actual results:
user is not created

Expected results:
user is created

Additional info:
This bug report relates to system-config-users and firstboot.
Comment 1 Kamil Páral 2010-10-26 10:43:46 EDT
Created attachment 455780 [details]
s-c-u disallowing non-ascii passwords
Comment 2 Nils Philippsen 2010-10-26 11:04:33 EDT
The problem may be two-fold:

- Ordinary users probably don't know what ASCII is. How about:

"The chosen password contains characters which may be hard or impossible to type in in certain situations. To ensure the password can be typed in everywhere please use only unaccented Latin letters (A-Z, a-z), digits (0-9), punctuation characters (e.g. comma, full stop) and the space character in the password."

- s-c-users probably should only warn about this and let the operator decide if this should be done regardless (after the appropriate admonition).
Comment 3 James Laska 2010-10-26 12:21:03 EDT
(In reply to comment #2)
> - s-c-users probably should only warn about this and let the operator decide if
> this should be done regardless (after the appropriate admonition).

I like this idea ... it fits naturally with the existing mechanism that warns whether a password is weak.
Comment 4 Nils Philippsen 2010-11-29 11:39:38 EST
fixed in git:

commit 17ea8b8d64c4070ff3f5af460804850f154569a5
Author: Nils Philippsen <nils@redhat.com>
Date:   Mon Nov 29 17:38:08 2010 +0100

    ask if non-ASCII password should be used (#646876)
Comment 5 Fedora Update System 2011-01-26 11:57:12 EST
system-config-users-1.2.106-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-users-1.2.106-1.fc14
Comment 6 Fedora Update System 2011-01-26 11:58:08 EST
system-config-users-1.2.106-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-users-1.2.106-1.fc13
Comment 7 Fedora Update System 2011-01-26 15:54:47 EST
system-config-users-1.2.106-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-users'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-users-1.2.106-1.fc14
Comment 8 Kamil Páral 2011-01-31 03:12:36 EST
system-config-users-1.2.106-1.fc14 does not work for me:

Traceback (most recent call last):
  File "/usr/share/system-config-users/userWindow.py", line 215, in on_userWin_ok_button_clicked
    if createHomeDir and not userGroupCheck.isHomedirOk(homeDir, self.userWinHomeDir):
  File "/usr/share/system-config-users/userGroupCheck.py", line 276, in isHomedirOk
    if selinux.is_selinux_enabled():
AttributeError: 'module' object has no attribute 'is_selinux_enabled'


That happens when I receive warning about non-ascii password and hit "Yes" for "use anyway" question.
Comment 9 Nils Philippsen 2011-01-31 06:19:44 EST
got hit by dead code:

commit b3fc3280cda4f69884b31f8103344092e4eeb8d4
Author: Nils Philippsen <nils@redhat.com>
Date:   Mon Jan 31 12:16:10 2011 +0100

    remove obsolete selinux module
    
    presence of this module blocks use of system-wide one (#646876)
Comment 10 Fedora Update System 2011-02-01 15:54:48 EST
system-config-users-1.2.107-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-users'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-users-1.2.107-1.fc14
Comment 11 Fedora Update System 2011-02-02 14:33:49 EST
system-config-users-1.2.107-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-04-19 15:26:52 EDT
system-config-users-1.2.107-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.